{Acta cryst. 1963, 16, 871: hetisine*HBr - alkal. iz Aconitum heterophyllum;
  M.Przybylska.}

 const imya='hetisin';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.75; b:=10.84; c:=9.46;
  alpha:=90*grad; beta:=(114+40/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  mozhno_vylez:=true;
  nmolec:=2;
  with mo[1] do begin
   nat:=24;
   initvect(a[1].r,0.2822,0.7009,0.4139); a[1].obozn:='C 1';
   initvect(a[2].r,0.3588,0.8083,0.3665); a[2].obozn:='C 2';
   initvect(a[3].r,0.2585,0.9218,0.2956); a[3].obozn:='C 3';
   initvect(a[4].r,0.1054,0.8837,0.1742); a[4].obozn:='C 4';
   initvect(a[5].r,-0.2486,0.8219,-0.0141); a[5].obozn:='C 5';
   initvect(a[6].r,-0.3579,0.8618,0.0519); a[6].obozn:='C 6';
   initvect(a[7].r,-0.4592,0.7529,0.0411); a[7].obozn:='C 7';
   initvect(a[8].r,-0.3640,0.6378,0.1133); a[8].obozn:='C 8';
   initvect(a[9].r,-0.1081,0.5670,0.2941); a[9].obozn:='C 9';
   initvect(a[10].r,0.0576,0.6000,0.3794); a[10].obozn:='C 10';
   initvect(a[11].r,0.1335,0.6722,0.2864); a[11].obozn:='C 11';
   initvect(a[12].r,0.0200,0.7799,0.2227); a[12].obozn:='C 12';
   initvect(a[13].r,-0.1283,0.7309,0.0979); a[13].obozn:='C 13';
   initvect(a[14].r,-0.2015,0.6754,0.2006); a[14].obozn:='C 14';
   initvect(a[15].r,0.3932,0.5936,0.4595); a[15].obozn:='C 15';
   initvect(a[16].r,0.2403,0.7335,0.5478); a[16].obozn:='C 16';
   initvect(a[17].r,-0.0114,0.8105,0.3674); a[17].obozn:='C 17';
   initvect(a[18].r,-0.2774,0.8946,0.2225); a[18].obozn:='C 18';
   initvect(a[19].r,-0.1790,0.7828,0.3141); a[19].obozn:='C 19';
   initvect(a[20].r,-0.6076,0.7547,-0.0139); a[20].obozn:='C 20';
   initvect(a[21].r,0.0733,0.7096,0.4821); a[21].obozn:='N ';
   initvect(a[22].r,0.2462,0.9905,0.4172); a[22].obozn:='O 1';
   initvect(a[23].r,-0.1928,0.9267,-0.0620); a[23].obozn:='O 2';
   initvect(a[24].r,-0.1933,1.0078,0.2462); a[24].obozn:='O 3';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=1;
   initvect(a[1].r,0.0598,0.2500,0.2568); a[1].obozn:='Br';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

