{Acta cryst. 1963, 16, 907: 1-metiltimin : 9-metiladenin; K.Hoogsteen.}

 const imya='m1m9';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.304; b:=6.552; c:=12.837;
  alpha:=90*grad; beta:=(106+50/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_m; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:={10}12{18};
   initvect(a[1].r,0.7485,1/4,0.4370); a[1].obozn:='N 1';
   initvect(a[2].r,0.7598,1/4,0.5461); a[2].obozn:='C 2';
   initvect(a[3].r,0.6078,1/4,0.5693); a[3].obozn:='N 3';
   initvect(a[4].r,0.4506,1/4,0.4847); a[4].obozn:='C 4';
   initvect(a[5].r,0.4481,1/4,0.3835); a[5].obozn:='C 5';
   initvect(a[6].r,0.5936,1/4,0.3591); a[6].obozn:='C 6';
   initvect(a[7].r,0.9024,1/4,0.4043); a[7].obozn:='C 7';
   initvect(a[8].r,0.8905,1/4,0.6184); a[8].obozn:='O 8';
   initvect(a[9].r,0.3234,1/4,0.5265); a[9].obozn:='O 9';
   initvect(a[10].r,0.2781,1/4,0.2991); a[10].obozn:='C 10';
   initvect(a[11].r,0.596,1/4,0.642); a[11].obozn:='H 1';
   initvect(a[12].r,0.595,1/4,0.282); a[12].obozn:='H 2';
   {dal`she - at. H CH3-grupp; real`no razupor`ad., 
     i nado brat` ne 3 x H, a 6 x (1/2 H)}
   initvect(a[13].r,0.287,0.180,0.232); a[13].obozn:='H 7';
   initvect(a[14].r,0.191,0.192,0.332); a[14].obozn:='H 8';
   initvect(a[15].r,0.225,0.392,0.286); a[15].obozn:='H 9';
   initvect(a[16].r,0.874,0.213,0.326); a[16].obozn:='H 10';
   initvect(a[17].r,0.959,0.386,0.421); a[17].obozn:='H 11';
   initvect(a[18].r,0.989,0.158,0.452); a[18].obozn:='H 12';
   centr:=a[10].r;
  end;
  with mo[2] do begin
   nat:={11}15{17}; {15 - ne otobr. at H iz CH3}
   initvect(a[1].r,0.2659,1/4,0.9123); a[1].obozn:='N 1_';
   initvect(a[2].r,0.3687,1/4,1.0164); a[2].obozn:='C 2_';
   initvect(a[3].r,0.5324,1/4,1.0542); a[3].obozn:='N 3_';
   initvect(a[4].r,0.6012,1/4,0.9712); a[4].obozn:='C 4_';
   initvect(a[5].r,0.5184,1/4,0.8618); a[5].obozn:='C 5_';
   initvect(a[6].r,0.3416,1/4,0.8319); a[6].obozn:='C 6_';
   initvect(a[7].r,0.6310,1/4,0.8010); a[7].obozn:='N 7_';
   initvect(a[8].r,0.7807,1/4,0.8742); a[8].obozn:='C 8_';
   initvect(a[9].r,0.7714,1/4,0.9785); a[9].obozn:='N 9_';
   initvect(a[10].r,0.2461,1/4,0.7285); a[10].obozn:='N 10_';
   initvect(a[11].r,0.9088,1/4,1.0789); a[11].obozn:='C 11_';
   initvect(a[12].r,0.275,1/4,0.652); a[12].obozn:='H 3_';
   initvect(a[13].r,0.137,1/4,0.711); a[13].obozn:='H 4_';
   initvect(a[14].r,0.287,1/4,1.061); a[14].obozn:='H 5_';
   initvect(a[15].r,0.881,1/4,0.857); a[15].obozn:='H 6_';
   initvect(a[16].r,1.018,1/4,1.060); a[16].obozn:='H 13_';
   initvect(a[17].r,0.884,0.127,1.122); a[17].obozn:='H 14_';
   centr:=a[10].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.9;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>={-d}0.2) and (q[2]<={1+d}0.8)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

