{naftalin: Acta Cryst. 1957, 10, 504}

 const imya='naftalin';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.235; b:=6.003; c:=8.658;
  alpha:=90*grad; beta:=(122+55/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=9;
   initvect(a[1].r,0.0856, 0.0186, 0.3251); a[1].obozn:='C A';
   initvect(a[2].r,0.0116, 0.1869,-0.2541); a[2].obozn:='C E';
   initvect(a[3].r,0.1148, 0.1588, 0.2200); a[3].obozn:='C B';
   initvect(a[4].r,0.0749, 0.2471,-0.0784); a[4].obozn:='C D';
   initvect(a[5].r,0.0472, 0.1025, 0.0351); a[5].obozn:='C C';
   initvect(a[6].r,0.1375, 0.0657, 0.4663); a[6].obozn:='H A';
   initvect(a[7].r,0.0345, 0.2999,-0.3394); a[7].obozn:='H E';
   initvect(a[8].r,0.1888, 0.3176, 0.2752); a[8].obozn:='H B';
   initvect(a[9].r,0.1490, 0.4056,-0.0233); a[9].obozn:='H D';
   for i:=1 to 3 do centr[i]:=0;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.1)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.1));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.1));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.1));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

