{F.J.Strieter et al., Acta cryst. 1962, 15(12), 1233: propion. k-ta
  (-95 i -135oC).
  -95o: a=4.04, b=9.06, c=11.00, beta=91+15/60 grad;
  -135o: a=4.07, b=9.04, c=10.97, beta=90+56/60 grad;
  koord. vypis. tk. dl`a -95o.
}

 const imya='propion';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=4.04; b:=9.06; c:=11.00;
  alpha:=90*grad; beta:=(91+15/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:={5}11;
   initvect(a[1].r,-0.0221, 0.3196, 0.5679); a[1].obozn:='O 1';
   initvect(a[2].r, 0.2222, 0.5291, 0.6258); a[2].obozn:='O 2';
   initvect(a[3].r, 0.1554, 0.3988, 0.6450); a[3].obozn:='C 3';
   initvect(a[4].r, 0.2717, 0.3162, 0.7560); a[4].obozn:='C 4';
   initvect(a[5].r, 0.4127, 0.4138, 0.8571); a[5].obozn:='C 5';
   initvect(a[6].r,-0.105, 0.379, 0.488); a[6].obozn:='H 6';
   initvect(a[7].r, 0.078, 0.256, 0.790); a[7].obozn:='H 7';
   initvect(a[8].r, 0.445, 0.247, 0.729); a[8].obozn:='H 8';
   initvect(a[9].r, 0.499, 0.356, 0.937); a[9].obozn:='H 9';
   initvect(a[10].r, 0.579, 0.481, 0.828); a[10].obozn:='H 10';
   initvect(a[11].r, 0.253, 0.486, 0.880); a[11].obozn:='H 11';
   for i:=1 to 3 do centr[i]:=(a[1].r[i]+a[2].r[i])/2;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

