{S4N4; Acta Cryst. 1963, 16, 891}

 const imya='S4N4';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.74; b:=7.14; c:=8.645;
  alpha:=90*grad; beta:=(92+21/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_n; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=8;
   initvect(a[1].r, 0.0106, 0.9260, 0.2996); a[1].obozn:='S 1';
   initvect(a[2].r, 0.1500, 0.7088, 0.0943); a[2].obozn:='S 2';
   initvect(a[3].r,-0.1488, 0.7951, 0.0652); a[3].obozn:='S 3';
   initvect(a[4].r,-0.0353, 0.5535, 0.2787); a[4].obozn:='S 4';
   initvect(a[5].r, 0.0070, 0.7587,-0.0238); a[5].obozn:='N 1';
   initvect(a[6].r,-0.0172, 0.7309, 0.3923); a[6].obozn:='N 2';
   initvect(a[7].r,-0.1761, 0.6075, 0.1597); a[7].obozn:='N 3';
   initvect(a[8].r, 0.1663, 0.8851, 0.2083); a[8].obozn:='N 4';
   for i:=1 to 3 do centr[i]:=(a[5].r[i]+a[6].r[i])/2;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

