{beta-glitsin: Acta Cryst. 1960, 13, 35}

 const imya='beta_gly';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.077; b:=6.267; c:=5.379;
  alpha:=90*grad; beta:=(113+12/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:={10}5;
   initvect(a[1].r,0.3522, -0.0440, -0.2619); a[1].obozn:='N ';
   initvect(a[2].r,0.3772, 0.0270, 0.2420); a[2].obozn:='O 1';
   initvect(a[3].r,-0.0896, 0.0773, 0.0970); a[3].obozn:='O 2';
   initvect(a[4].r,0.1378, 0.0532, 0.0633); a[4].obozn:='C 1';
   initvect(a[5].r,0.1145, 0.0719, -0.2265); a[5].obozn:='C 2';
   initvect(a[6].r,0.540, 0.012, -0.135); a[6].obozn:='H 1N';
   initvect(a[7].r,0.340, -0.031, -0.449); a[7].obozn:='H 2N';
   initvect(a[8].r,0.337, -0.203, -0.216); a[8].obozn:='H 3N';
   initvect(a[9].r,0.125, 0.241, -0.274); a[9].obozn:='H 1C';
   initvect(a[10].r,-0.091, 0.008, -0.362); a[10].obozn:='H 2C';
   centr:=a[4].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.1));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.1));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.1));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

