{gamma-glitsin: Acta Cryst. 1961, 14, 1}

 const imya='gamm_gly';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=7.037; b:=aa; c:=5.483;
  alpha:=90*grad; beta:=90*grad; gamma:=120*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P3_2; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:={10}5;
   initvect(a[1].r,0.2414, 0.0263, 0.5035); a[1].obozn:='N ';
   initvect(a[2].r,0.2325, 0.0083, 0.0139); a[2].obozn:='O 1';
   initvect(a[3].r,0.5425, 0.0011, -0.0150); a[3].obozn:='O 2';
   initvect(a[4].r,0.3929, 0.0012, 0.1033); a[4].obozn:='C 1';
   initvect(a[5].r,0.4010, -0.0222, 0.3794); a[5].obozn:='C 2';
   initvect(a[6].r,0.248, 0.013, 0.686); a[6].obozn:='H 1N';
   initvect(a[7].r,0.274, 0.183, 0.458); a[7].obozn:='H 2N';
   initvect(a[8].r,0.084, -0.079, 0.441); a[8].obozn:='H 3N';
   initvect(a[9].r,0.567, 0.089, 0.446); a[9].obozn:='H 1C';
   initvect(a[10].r,0.369, -0.186, 0.427); a[10].obozn:='H 2C';
   centr:=a[4].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.1));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.1));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.1));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.6;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

