{gamma-gidrokh: Acta Cryst. 1966, 21, 979}

 const imya='gam_hydr';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.07; b:=5.20; c:=13.20;
  alpha:=90*grad; beta:=107*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:=4{7};
   initvect(a[1].r,0.02621, -0.00089, 0.21399); a[1].obozn:='O 10';
   initvect(a[2].r,0.01187, -0.00242, 0.10627); a[2].obozn:='C 11';
   initvect(a[3].r,0.09050, 0.18908, 0.06660); a[3].obozn:='C 12';
   initvect(a[4].r,-0.07882, -0.19593, 0.04131); a[4].obozn:='C 13';
   initvect(a[5].r,-0.00778, -0.18929, 0.24971); a[5].obozn:='H 10';
   initvect(a[6].r,0.15983, 0.36014, 0.11316); a[6].obozn:='H 12';
   initvect(a[7].r,-0.13667, -0.35295, 0.07134); a[7].obozn:='H 13';
   {centr:=a[1].r;} initvect(centr,0,0,0);
  end;
  with mo[2] do begin
   nat:=4{7};
   initvect(a[1].r,0.47791, 0.51784, 0.20531); a[1].obozn:='O 20';
   initvect(a[2].r,0.49136, 0.50529, 0.10250); a[2].obozn:='C 21';
   initvect(a[3].r,0.58358, 0.31476, 0.07242); a[3].obozn:='C 22';
   initvect(a[4].r,0.40756, 0.69258, 0.03200); a[4].obozn:='C 23';
   initvect(a[5].r,0.52478, 0.35479, 0.25520); a[5].obozn:='H 20';
   initvect(a[6].r,0.64711, 0.15265, 0.12154); a[6].obozn:='H 22';
   initvect(a[7].r,0.33825, 0.84784, 0.05738); a[7].obozn:='H 23';
   {centr:=a[1].r;} initvect(centr,0.5,0.5,0);
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.1));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.1));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.1));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

