{guanin*HCl: Acta Cryst. 1951, 4, 92; 
  u N7 prishlos` ispr. znak, chtoby poluch. karkas guanina;
                                                  ..Cl. 
  dl`a Cl poluch. nepravdopod.: tsepochka O...HOH.     .    ;
                                                        .HN
  ugol OOCl - 124o; O..Cl - 1.74, Cl..N - 3,21A; 
  prosto podt`anut` Cl k N plokho - povlijaet na OOCl i O..Cl .
}

 const imya='guani_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=19.29; b:=9.94; c:=4.494;
  alpha:=90*grad; beta:=(107+54/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=3;
  with mo[2] do begin
   nat:=1;
   initvect(a[1].r,0.229, 0.054, 0.940); a[1].obozn:='Cl';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=1;
   initvect(a[1].r,0.205, 0.443, 0.842); a[1].obozn:='O w';
   centr:=a[1].r;
  end;
  with mo[1] do begin
   nat:=11;
   initvect(a[1].r,0.073, 0.272, 0.530); a[1].obozn:='N 1';
   initvect(a[2].r,-0.023, 0.128, 0.287); a[2].obozn:='N 3';
   initvect(a[3].r,-0.090{ispravl. znak}, 0.357, 0.740); a[3].obozn:='N 7';
   initvect(a[4].r,-0.131, 0.188, 0.440); a[4].obozn:='N 9';
   initvect(a[5].r,0.083, 0.106, 0.193); a[5].obozn:='N 10';
   initvect(a[6].r,0.045, 0.168, 0.350); a[6].obozn:='C 2';
   initvect(a[7].r,-0.062, 0.201, 0.440); a[7].obozn:='C 4';
   initvect(a[8].r,-0.035, 0.305, 0.627); a[8].obozn:='C 5';
   initvect(a[9].r,0.037, 0.353, 0.690); a[9].obozn:='C 6';
   initvect(a[10].r,-0.148, 0.280, 0.617); a[10].obozn:='C 7';
   initvect(a[11].r,0.072, 0.443, 0.842); a[11].obozn:='O 1';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4,g5,g6:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.0));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.0));
  g5:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','Cl') and (r<3.3));
  g6:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','Cl') and (r<3.3));
  if g1 or g2 or g3 or g4 or g5 or g6 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4 or g5 or g6;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

