{L-tyrosine: J.Ch.Ph. ~1972; Frey M.N. et al.}

 const imya='L_tyr';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.913; b:=21.118; c:=5.832;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_2_1_2_1; {P1;} end;

 procedure zad_molec; var i,ix,iy:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:={24}{13}17;
   initvect(a[1].r,0.32432,0.30508,0.60788); a[1].obozn:='C 1';
   initvect(a[2].r,0.39973,0.29320,0.36514); a[2].obozn:='C 2';
   initvect(a[3].r,0.57492,0.33568,0.31199); a[3].obozn:='C 3';
   initvect(a[4].r,0.54120,0.40544,0.35374); a[4].obozn:='C 4';
   initvect(a[5].r,0.45884,0.44429,0.18600); a[5].obozn:='C 5';
   initvect(a[6].r,0.59696,0.43323,0.56031); a[6].obozn:='C 6';
   initvect(a[7].r,0.43361,0.50894,0.22266); a[7].obozn:='C 7';
   initvect(a[8].r,0.57407,0.49781,0.59906); a[8].obozn:='C 8';
   initvect(a[9].r,0.49446,0.53565,0.42882); a[9].obozn:='C 9';
   initvect(a[10].r,0.24177,0.30408,0.19631); a[10].obozn:='N 1';
   initvect(a[11].r,0.16707,0.33308,0.62569); a[11].obozn:='O 1';
   initvect(a[12].r,0.42880,0.28577,0.77039); a[12].obozn:='O 2';
   initvect(a[13].r,0.48075,0.59924,0.46966); a[13].obozn:='O 3';
   initvect(a[14].r,0.18562,0.34833,0.20901); a[14].obozn:='H 1';
   initvect(a[15].r,0.29598,0.29829,0.02977); a[15].obozn:='H 2';
   initvect(a[16].r,0.12887,0.27260,0.22250); a[16].obozn:='H 3';
   initvect(a[17].r,0.42734,0.62156,0.33636); a[17].obozn:='H 11';
   initvect(a[18].r,0.44365,0.24362,0.34946); a[18].obozn:='H 4';
   initvect(a[19].r,0.69394,0.31953,0.41932); a[19].obozn:='H 5';
   initvect(a[20].r,0.61862,0.32750,0.13399); a[20].obozn:='H 6';
   initvect(a[21].r,0.41781,0.42432,0.02148); a[21].obozn:='H 7';
   initvect(a[22].r,0.66334,0.40411,0.69275); a[22].obozn:='H 8';
   initvect(a[23].r,0.37025,0.53835,0.09021); a[23].obozn:='H 9';
   initvect(a[24].r,0.62154,0.51921,0.75871); a[24].obozn:='H 10';
   centr:=a[4].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  uslov:=g2 or g3 or g4;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:={(r<1.1) or}
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.7;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-0.2) and (q[2]<=(1+0.2))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

