{L-tyrosine*HCl: J.Ch.Ph. ~1972; Frey M.N. et al.}
{v stat`je: vse NH - na Cl, a NH...O - lozhn. kontakt; no, pokhozhe,
  esli razresh. ego i O...Cl <3.6A, poluch. vozm-st` povor. NH3+ na 60o}

 const imya='L_tyr_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=11.083; b:=9.041; c:=5.099;
  alpha:=90*grad; beta:=91.82*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; {P1;} end;

 procedure zad_molec; var i,ix,iy:integer;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:={25}{13}18; {numerats. atomov - kak v stat`je}
   initvect(a[1].r, -0.32987, 0.25640, 0.14766); a[1].obozn:='C 2';
   initvect(a[2].r, -0.34781, 0.09429, 0.07735); a[2].obozn:='C 3';
   initvect(a[3].r, -0.24003, 0.03494,-0.07299); a[3].obozn:='C 4';
   initvect(a[4].r, -0.12254, 0.03849, 0.08458); a[4].obozn:='C 5';
   initvect(a[5].r, -0.10323,-0.05412, 0.30162); a[5].obozn:='C 6';
   initvect(a[6].r, -0.02941, 0.13160, 0.01061); a[6].obozn:='C 7';
   initvect(a[7].r,  0.00593,-0.05027, 0.44399); a[7].obozn:='C 8';
   initvect(a[8].r,  0.08105, 0.13338, 0.14934); a[8].obozn:='C 9';
   initvect(a[9].r,  0.09794, 0.04359, 0.36668); a[9].obozn:='C 10';
   initvect(a[10].r,-0.45969, 0.08123,-0.09173); a[10].obozn:='N 11';
   initvect(a[11].r,-0.36134, 0.35444, 0.00066); a[11].obozn:='O 12';
   initvect(a[12].r,-0.27318, 0.27195, 0.37392); a[12].obozn:='O 13';
   initvect(a[13].r, 0.20367, 0.04224, 0.51494); a[13].obozn:='O 14';
   initvect(a[14].r,-0.25425, 0.38038, 0.40968); a[14].obozn:='H 1';
   initvect(a[15].r,-0.46427, 0.15613,-0.23797); a[15].obozn:='H 15';
   initvect(a[16].r,-0.46559,-0.02071,-0.17541); a[16].obozn:='H 16';
   initvect(a[17].r,-0.53334, 0.09767, 0.01958); a[17].obozn:='H 17';
   initvect(a[18].r, 0.26416, 0.11310, 0.45200); a[18].obozn:='H 25';
   initvect(a[19].r,-0.36159, 0.02877, 0.25575); a[19].obozn:='H 18';
   initvect(a[20].r,-0.26145,-0.07718,-0.13459); a[20].obozn:='H 19';
   initvect(a[21].r,-0.23182, 0.09936,-0.24998); a[21].obozn:='H 20';
   initvect(a[22].r,-0.17443,-0.12759, 0.36337); a[22].obozn:='H 21';
   initvect(a[23].r,-0.04317, 0.20257,-0.15649); a[23].obozn:='H 22';
   initvect(a[24].r, 0.02026,-0.12124, 0.61397); a[24].obozn:='H 23';
   initvect(a[25].r, 0.15366, 0.20546, 0.08706); a[25].obozn:='H 24';
   centr:=a[4].r;
  end;
  with mo[2] do begin
   nat:=1; {v stat`je - 26-j atom}
   initvect(a[1].r,  0.41280, 0.25,    0.40927); a[1].obozn:='Cl26';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:={(r<1.1) or}
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr(q:vect):boolean; var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;
