{sebats.k-ta: Acta Cryst. 1966, 20, 325}

 const imya='sebats';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=15.04; b:=5.00; c:=10.07;
  alpha:=90*grad; beta:=(133+10/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=7;
   initvect(a[1].r,0.0355, 0.0540, -0.0244); a[1].obozn:='C 1';
   initvect(a[2].r,0.1397, -0.1343, 0.0414); a[2].obozn:='C 2';
   initvect(a[3].r,0.2132, -0.0171, 0.0001); a[3].obozn:='C 3';
   initvect(a[4].r,0.3161, -0.2120, 0.0680); a[4].obozn:='C 4';
   initvect(a[5].r,0.3959, -0.1083, 0.0374); a[5].obozn:='C 5';
   {initvect(a[6].r,0.3706, 0.0924, 0.0544); a[6].obozn:='O 1';}
   {bylo s osh. - ispr., chtoby bylo 1.23A i 121o}
   initvect(a[6].r,0.3716, 0.1025, -0.0446); a[6].obozn:='O 1';
   initvect(a[7].r,0.4886, -0.2581, 0.1037); a[7].obozn:='O 2';
   {centr:=a[1].r;} initvect(centr,0,0,0);
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  uslov:=(g2 or g3 or g4 or g5 or g6);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:={0.5}0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

