{A.I.M.Rae et al., Acta cryst. 1962, 15(12), 1285: sul`fanil. k-ta *H2O.
  Ranee schit., chto iz gor. H2O i ispar. na khol. -> razn. formy; okaz. -
  ident. *H2O, otlich. tk. gabitus.
}

 const imya='sulhfani';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.473; b:=18.308; c:=6.812;
  alpha:=90*grad; beta:=(93+38/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  {at. H - rekonstruir.; N..O1, N..O3, N..Ow = 2.80..2.86A;
    ukazan Hw na Ow...O2=2.73; est` Ow...O3=2.97, O2-Ow-O3=88o
    (norm. HOH - 105o); eto ne pozv. nad`ozhno ukaz. polozh. 2-go Hw}
  nmolec:=2;
  with mo[1] do begin
   nat:={18}{11}15;
   initvect(a[1].r, 0.2358, 0.1402, 0.2610); a[1].obozn:='S ';
   initvect(a[2].r, 0.3119, 0.0474, 0.2501); a[2].obozn:='C 1';
   initvect(a[3].r, 0.1633, -0.0060, 0.2351); a[3].obozn:='C 2';
   initvect(a[4].r, 0.2160, -0.0804, 0.2204); a[4].obozn:='C 3';
   initvect(a[5].r, 0.4215, -0.0967, 0.2351); a[5].obozn:='C 4';
   initvect(a[6].r, 0.5828, -0.0443, 0.2528); a[6].obozn:='C 5';
   initvect(a[7].r, 0.5215, 0.0289, 0.2633); a[7].obozn:='C 6';
   initvect(a[8].r, 0.4892, -0.1740, 0.2234); a[8].obozn:='N ';
   initvect(a[9].r, 0.3947, 0.1776, 0.3736); a[9].obozn:='O 1';
   initvect(a[10].r, 0.0445, 0.1415, 0.3626); a[10].obozn:='O 2';
   initvect(a[11].r, 0.2028, 0.1628, 0.0588); a[11].obozn:='O 3';
   initvect(a[12].r, 0.0000, 0.0082, 0.2210); a[12].obozn:='H 1';
   initvect(a[13].r, 0.0976,-0.1218, 0.1982); a[13].obozn:='H 2';
   initvect(a[14].r, 0.7461,-0.0582, 0.2717); a[14].obozn:='H 3';
   initvect(a[15].r, 0.6408, 0.0710, 0.2841); a[15].obozn:='H 4';
   initvect(a[16].r, 0.5898,-0.1747, 0.1101); a[16].obozn:='H 5';
   initvect(a[17].r, 0.3653,-0.2021, 0.1322); a[17].obozn:='H 6';
   initvect(a[18].r, 0.5279,-0.1912, 0.3675); a[18].obozn:='H 7';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:={2}1;
   initvect(a[1].r, 0.1842,-0.2510, 0.4867); a[1].obozn:='O w';
   initvect(a[2].r, 0.0780,-0.2212, 0.5734); a[2].obozn:='H w';
   {polozh. 2-go at. H plokho opr., sm. vyshe}
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.9062)>0.01; 
  {iskl`uch. kontakty N...O =2.9062 A, sootv. CNO=169.89o; v printsipe eti
    kontakty mogut vlijat` na 3 norm. H-sv., obraz. gruppoj -NH3+}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.15) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g1:=((r<1.1) and (
                    (copy(zapis^[i].obozn,1,2)='C ')                 
                     or                                              
                    (copy(zapis^[j].obozn,1,2)='C ')                 
                   )                                                 
      )                                                              
       or                                                            
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn)); 
  {khotim iskl`uch. NH-sv`azi - pust` H boltajutsa; bez etogo        
    poluch. >6 sv`azej na atom N}                                    
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

