{uratsil: Acta Cryst. 1967, 23, 1102}

 const imya='uratsil';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=11.938; b:=12.376; c:=3.6552;
  alpha:=90*grad; beta:=(120+54/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=12;
   initvect(a[1].r,0.08497, 0.28677, -0.02173); a[1].obozn:='O 7';
   initvect(a[2].r,0.12987, -0.07706, 0.01962); a[2].obozn:='O 8';
   initvect(a[3].r,0.27283, 0.21750, 0.03336); a[3].obozn:='N 1';
   initvect(a[4].r,0.11208, 0.10468, 0.00406); a[4].obozn:='N 3';
   initvect(a[5].r,0.15191, 0.20933, 0.00913); a[5].obozn:='C 2';
   initvect(a[6].r,0.17988, 0.01237, 0.03494); a[6].obozn:='C 4';
   initvect(a[7].r,0.30519, 0.02857, 0.08193); a[7].obozn:='C 5';
   initvect(a[8].r,0.34620, 0.12977, 0.08905); a[8].obozn:='C 6';
   initvect(a[9].r,0.3536, -0.0322, 0.0986); a[9].obozn:='H 9';
   initvect(a[10].r,0.4279, 0.1464, 0.1120); a[10].obozn:='H 10';
   initvect(a[11].r,0.2964, 0.2804, 0.0416); a[11].obozn:='H 11';
   initvect(a[12].r,0.0343, 0.0947, -0.0320); a[12].obozn:='H 12';
   for i:=1 to 3 do centr[i]:=a[5].r[i]+a[7].r[i];
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3,g4:boolean;
 begin
  g1:=(r<1.0)
        or
      (
       ((copy(zapis^[i].obozn,1,2)<>'H ') and (copy(zapis^[j].obozn,1,2)<>'H '))
         and
       (r<2.0)
      );
  g2:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.1));
  g3:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','O ') and (r<3.1));
  g4:=
    ((zapis^[i].nr_mol<>zapis^[j].nr_mol) and tipy(i,j,'N ','N ') and (r<3.1));
  if g1 or g2 or g3 or g4 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3 or g4;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

