{Scheuerman R.F. et al., Acta cryst. 1962, 15(12), 1244: valer. k-ta (-135oC).}

 const imya='valerian';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.55; b:=9.664; c:=11.341;
  alpha:=90*grad; beta:=(101+49/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_c; {C2h^5} end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=7;
   initvect(a[1].r, 0.2293, 0.4116, 0.4066); a[1].obozn:='C 1';
   initvect(a[2].r, 0.3857, 0.3390, 0.3322); a[2].obozn:='C 2';
   initvect(a[3].r, 0.5163, 0.4428, 0.2619); a[3].obozn:='C 3';
   initvect(a[4].r, 0.6620, 0.3567, 0.1817); a[4].obozn:='C 4';
   initvect(a[5].r, 0.8162, 0.4544, 0.1121); a[5].obozn:='C 5';
   initvect(a[6].r, 0.0971, 0.3267, 0.4700); a[6].obozn:='O 1';
   initvect(a[7].r, 0.1983, 0.5405, 0.4146); a[7].obozn:='O 2';
   for i:=1 to 3 do centr[i]:=(a[6].r[i]+a[7].r[i])/2;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

